routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::prefix('/admin')->name('admin.')->group(function(){
    Route::namespace('Auth')->group(function(){
        //Admin Login Routes
        Route::get('/login','AdminLoginController@showLoginForm')->name('login');
        Route::post('/login','AdminLoginController@login')->name('dologin');
        Route::post('/logout','AdminLoginController@logout')->name('logout');

        //Admin Forgot Password Routes
        Route::get('/password/reset','AdminForgotPasswordController@showLinkRequestForm')->name('password.request');
        Route::post('/password/email','AdminForgotPasswordController@sendResetLinkEmail')->name('password.email');

        //Admin Reset Password Routes
        Route::get('/password/reset/{token}','AdminResetPasswordController@showResetForm')->name('password.reset');
        Route::post('/password/reset','AdminResetPasswordController@reset')->name('password.update');

    });
    Route::get('/home', 'Admin\HomeController@index')->name('home');
    Route::resources([
        'user' => 'Admin\UserAdminController',
        'direktur' => 'Admin\UserDirekturController',
        'siswa' => 'Admin\SiswaController',
    ]);
    Route::get('/userdata', 'Admin\UserAdminController@getUser')->name('get.user');
    Route::get('/userdirektur', 'Admin\UserDirekturController@getUser')->name('get.direktur');
    Route::get('/datasiswa', 'Admin\SiswaController@getSiswa')->name('get.siswa');
    Route::match(['put', 'patch'], '/penilaian/{id}', 'Admin\SiswaController@penilaian')->name('penilaian');
});
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/laporan', 'Admin\LaporanController@indexPenilaian')->name('laporan');
Route::get('/rekomendasi', 'Admin\LaporanController@indexRekomendasi')->name('rekomendasi');
Route::get('/datapenilaian', 'Admin\LaporanController@getPenilaianSiswa')->name('get.penilaian');

resources/views/admin/form/createadmin.blade.php
@extends('layouts.lte')

@section('open')
menu-open
@endsection

@section('users')
active
@endsection

@section('admin')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">

    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @elseif ($errors->any())
                @foreach ($errors->all() as $error)
                    <div class="col-md-12">
                        <div class="alert alert-error alert-dismissable custom-error-box">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong> {{ $error }} </strong>
                        </div>
                    </div>
                @endforeach
            @endif

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Create Admin</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="POST" action="{{ route('admin.user.store') }}">
                        @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Nama</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="Masukkan nama" required>
                            </div>
                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email"
                                    placeholder="Masukkan email" required>
                            </div>
                            <div class="form-group">
                                <label for="username">Username</label>
                                <input type="text" class="form-control" id="username" name="username"
                                    placeholder="Username" required>
                            </div>
                            <div class="form-group">
                                <label for="password">Password</label>
                                <input type="password" class="form-control" id="password" name="password"
                                    placeholder="Password" required>
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-info">Simpan</button>
                            <a class="btn btn-default float-right" href="{{ route('admin.user.index') }}">Kembali</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

resources/views/admin/form/createdirektur.blade.php
@extends('layouts.lte')

@section('open')
menu-open
@endsection

@section('users')
active
@endsection

@section('direktur')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">

    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @elseif ($errors->any())
                @foreach ($errors->all() as $error)
                    <div class="col-md-12">
                        <div class="alert alert-error alert-dismissable custom-error-box">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong> {{ $error }} </strong>
                        </div>
                    </div>
                @endforeach
            @endif

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Create Direktur</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="POST" action="{{ route('admin.direktur.store') }}">
                        @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Nama</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="Masukkan nama" required>
                            </div>
                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email"
                                    placeholder="Masukkan email" required>
                            </div>
                            <div class="form-group">
                                <label for="username">Username</label>
                                <input type="text" class="form-control" id="username" name="username"
                                    placeholder="Username" required>
                            </div>
                            <div class="form-group">
                                <label for="password">Password</label>
                                <input type="password" class="form-control" id="password" name="password"
                                    placeholder="Password" required>
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-info">Simpan</button>
                            <a class="btn btn-default float-right" href="{{ route('admin.direktur.index') }}">Kembali</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

resources/views/admin/form/createsiswa.blade.php
@extends('layouts.lte')

@section('mp')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">

    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @elseif ($errors->any())
                @foreach ($errors->all() as $error)
                    <div class="col-md-12">
                        <div class="alert alert-error alert-dismissable custom-error-box">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong> {{ $error }} </strong>
                        </div>
                    </div>
                @endforeach
            @endif

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Add Siswa</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="POST" action="{{ route('admin.siswa.store') }}" enctype="multipart/form-data">
                        @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Nama</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="Masukkan nama siswa" required>
                            </div>
                            <div class="form-group">
                                <label for="nis">Nomer Induk Siswa</label>
                                <input type="text" class="form-control" id="nis" name="nis"
                                    placeholder="Masukkan NIS Siswa" required>
                            </div>
                            <div class="form-group">
                                <label for="sekolah">Nama Sekolah</label>
                                <input type="text" class="form-control" id="sekolah" name="sekolah"
                                    placeholder="Masukkan Nama Sekolah" required>
                            </div>
                            <div class="form-group">
                                <label for="bk">Bidang Keahlian</label>
                                <input type="text" class="form-control" id="bk" name="bk"
                                    placeholder="Masukkan Bidang Keahlian" required>
                            </div>
                            <div class="form-group">
                                <label for="foto">Foto</label>
                                <input type="file" class="form-control" id="foto" name="foto" accept="image/*">
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-info">Simpan</button>
                            <a class="btn btn-default float-right" href="{{ route('admin.home') }}">Kembali</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

resources/views/admin/form/editadmin.blade.php
@extends('layouts.lte')

@section('open')
menu-open
@endsection

@section('users')
active
@endsection

@section('admin')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">

    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @elseif ($errors->any())
                @foreach ($errors->all() as $error)
                    <div class="col-md-12">
                        <div class="alert alert-error alert-dismissable custom-error-box">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong> {{ $error }} </strong>
                        </div>
                    </div>
                @endforeach
            @endif

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Edit User Admin</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="POST" action="{{ route('admin.user.update', $user->id) }}">
                        @method('PATCH')
                        @csrf            
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Nama</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="Masukkan nama" value="{{ $user->name }}" required>
                            </div>
                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email"
                                    placeholder="Masukkan email" value="{{ $user->email }}" required>
                            </div>
                            <div class="form-group">
                                <label for="username">Username</label>
                                <input type="text" class="form-control" id="username" name="username"
                                    placeholder="Username" value="{{ $user->username }}" required>
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-info">Simpan</button>
                            <a class="btn btn-default float-right" href="{{ route('admin.user.index') }}">Kembali</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

resources/views/admin/form/editdirektur.blade.php
@extends('layouts.lte')

@section('open')
menu-open
@endsection

@section('users')
active
@endsection

@section('direktur')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">

    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @elseif ($errors->any())
                @foreach ($errors->all() as $error)
                    <div class="col-md-12">
                        <div class="alert alert-error alert-dismissable custom-error-box">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong> {{ $error }} </strong>
                        </div>
                    </div>
                @endforeach
            @endif

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Edit User Direktur</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="POST" action="{{ route('admin.direktur.update', $user->id) }}">
                        @method('PATCH')
                        @csrf            
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Nama</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="Masukkan nama" value="{{ $user->name }}" required>
                            </div>
                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email"
                                    placeholder="Masukkan email" value="{{ $user->email }}" required>
                            </div>
                            <div class="form-group">
                                <label for="username">Username</label>
                                <input type="text" class="form-control" id="username" name="username"
                                    placeholder="Username" value="{{ $user->username }}" required>
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-info">Simpan</button>
                            <a class="btn btn-default float-right" href="{{ route('admin.direktur.index') }}">Kembali</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

resources/views/admin/form/editsiswa.blade.php
@extends('layouts.lte')

@section('mp')
active
@endsection

@section('content')
<section class="content-header">
    <div class="container-fluid">

    </div><!-- /.container-fluid -->
</section>

<section class="content">
    <div class="container-fluid">
        <div class="row">
            @if (session('status'))
            <div class="col-md-12">
                <div class="alert alert-success alert-dismissable custom-success-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('status') }} </strong>
                </div>
            </div>
            @elseif (session('error'))
            <div class="col-md-12">
                <div class="alert alert-error alert-dismissable custom-error-box">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong> {{ session('error') }} </strong>
                </div>
            </div>
            @elseif ($errors->any())
                @foreach ($errors->all() as $error)
                    <div class="col-md-12">
                        <div class="alert alert-error alert-dismissable custom-error-box">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                            <strong> {{ $error }} </strong>
                        </div>
                    </div>
                @endforeach
            @endif

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Edit Data Siswa</h3>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="POST" action="{{ route('admin.siswa.update', $siswa->id) }}" enctype="multipart/form-data">
                        @method('PATCH')
                        @csrf            
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Nama</label>
                                <input type="text" class="form-control" id="name" name="name"
                                    placeholder="Masukkan nama siswa" value="{{ $siswa->name }}" required>
                            </div>
                            <div class="form-group">
                                <label for="nis">Nomer Induk Siswa</label>
                                <input type="text" class="form-control" id="nis" name="nis"
                                    placeholder="Masukkan NIS Siswa" value="{{ $siswa->nis }}" required>
                            </div>
                            <div class="form-group">
                                <label for="sekolah">Nama Sekolah</label>
                                <input type="text" class="form-control" id="sekolah" name="sekolah"
                                    placeholder="Masukkan Nama Sekolah" value="{{ $siswa->sekolah }}" required>
                            </div>
                            <div class="form-group">
                                <label for="bk">Bidang Keahlian</label>
                                <input type="text" class="form-control" id="bk" name="bk"
                                    placeholder="Masukkan Bidang Keahlian" value="{{ $siswa->bk }}" required>
                            </div>
                            <div class="form-group">
                                <label for="foto">Foto</label>
                                <input type="file" class="form-control" id="foto" name="foto" accept="image/*">
                            </div>
                        </div>
                        <!-- /.card-body -->

                        <div class="card-footer">
                            <button type="submit" class="btn btn-info">Simpan</button>
                            <a class="btn btn-default float-right" href="{{ route('admin.siswa.index') }}">Kembali</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection